package pps.core.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import xstartup.annotation.XText;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName("plant_predicted_power_data")
public class PlantPredictedPowerDataEnt implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer id;

    @XText("线路id")
    @TableField
    private String plantId;

    @XText("日期")
    @TableField
    private String dataDate;

    @XText("年")
    @TableField
    private String yearTime;

    @XText("月")
    @TableField
    private String monthTime;

    @XText("日")
    @TableField
    private String dayTime;

    @XText("时")
    @TableField
    private String hourTime;

    @XText("分")
    @TableField
    private String minTime;

    @XText("温度")
    @TableField
    private BigDecimal temperature;

    @XText("湿度")
    @TableField
    private BigDecimal humidity;

    @XText("风速")
    @TableField
    private BigDecimal windSpeed;

    @XText("风向")
    @TableField
    private BigDecimal windDirection;

    @XText("压强")
    @TableField
    private BigDecimal pressure;

    @XText("组件平面辐照度")
    @TableField
    private BigDecimal planeIrradiance;

    @XText("全水平辐照度")
    @TableField
    private BigDecimal horizontalIrradiance;

    @XText("预测功率")
    @TableField
    private BigDecimal power;

    @XText("创建时间")
    @TableField
    private Date createTime;

    @XText("结束时间")
    @TableField(exist = false)
    private Date endTime;

    @XText("电站名称")
    @TableField
    private String plantName;

    @XText("地区编码")
    @TableField
    private String areaCode;

    @XText("天气类型")
    @TableField
    private String weatherType;

    @XText("降水量")
    @TableField
    private BigDecimal precipitation;
}
