package pps.core.base.enums;

import cn.hutool.core.text.CharSequenceUtil;

/**
 * 天气图标枚举
 *
 * @author ZWT
 * @date 2024/10/17
 */
public enum WeatherIconEnum {
    w0("/static/img/w/icon/w0.png", 0),
    w1("/static/img/w/icon/w1.png", 1),
    w3("/static/img/w/icon/w3.png", 1),
    w29("/static/img/w/icon/w29.png", 1),
    w13("/static/img/w/icon/w13.png", 1),
    w2("/static/img/w/icon/w2.png", 2),
    w4("/static/img/w/icon/w4.png", 2),
    w5("/static/img/w/icon/w5.png", 2),
    w20("/static/img/w/icon/w20.png", 2),
    w6("/static/img/w/icon/w6.png", 3),
    w7("/static/img/w/icon/w7.png", 3),
    w8("/static/img/w/icon/w8.png", 3),
    w9("/static/img/w/icon/w9.png", 3),
    w10("/static/img/w/icon/w10.png", 3),
    w11("/static/img/w/icon/w11.png", 3),
    w12("/static/img/w/icon/w12.png", 3),
    w14("/static/img/w/icon/w14.png", 3),
    w15("/static/img/w/icon/w15.png", 3),
    w16("/static/img/w/icon/w16.png", 3),
    w17("/static/img/w/icon/w17.png", 3),
    w19("/static/img/w/icon/w19.png", 3),
    w21("/static/img/w/icon/w21.png", 3),
    w22("/static/img/w/icon/w22.png", 3),
    w23("/static/img/w/icon/w23.png", 3),
    w24("/static/img/w/icon/w24.png", 3),
    w25("/static/img/w/icon/w25.png", 3),
    w26("/static/img/w/icon/w26.png", 3),
    w27("/static/img/w/icon/w27.png", 3),
    w28("/static/img/w/icon/w28.png", 3),
    w30("/static/img/w/icon/w30.png", 3),
    w31("/static/img/w/icon/w31.png", 3),
    w32("/static/img/w/icon/w32.png", 3),
    w33("/static/img/w/icon/w33.png", 3),
    w34("/static/img/w/icon/w34.png", 3),
    w35("/static/img/w/icon/w35.png", 3),
    w36("/static/img/w/icon/w36.png", 3),
    w18("/static/img/w/icon/w18.png", 4),
    w99("-", 99),
    ;

    private String icon;

    private Integer type;

    WeatherIconEnum(String icon, Integer type) {
        this.icon = icon;
        this.type = type;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 按值查找
     *
     * @param icon 图标
     * @return {@link WeatherIconEnum }
     */
    public static WeatherIconEnum findByValue(String icon) {
        for (WeatherIconEnum item : values()) {
            if (CharSequenceUtil.equals(item.getIcon(), icon)) {
                return item;
            }
        }
        return WeatherIconEnum.w99;
    }
}