package pps.core.middle.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import pps.cloud.middle.service.IThirdWellAvgActivePowerCloudService;
import pps.cloud.middle.service.data.third_well_avg_active_power.GetThirdWellAvgActivePowerInput;
import pps.cloud.middle.service.data.third_well_avg_active_power.GetThirdWellAvgActivePowerOutput;
import pps.core.middle.entity.ThirdWellAvgActivePowerEnt;
import pps.core.middle.mapper.ThirdWellAvgActivePowerMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XListResult;

import java.util.List;

/**
 * 单井平均实际功率
 *
 * @author ZWT
 * @date 2024/10/19 20:05
 */
@XService
public class ThirdWellAvgActivePowerCloudServiceImpl implements IThirdWellAvgActivePowerCloudService {

    @Override
    public XListResult<GetThirdWellAvgActivePowerOutput> getThirdActivePowerList(XContext context, GetThirdWellAvgActivePowerInput input) {
        ThirdWellAvgActivePowerMapper mapper = context.getBean(ThirdWellAvgActivePowerMapper.class);
        List<ThirdWellAvgActivePowerEnt> list = mapper.selectList(new QueryWrapper<ThirdWellAvgActivePowerEnt>()
                .select("WELL_NUMBER", "INPUT_TIME", "AVG_ACTIVE_POWER"));
        return XListResult.success(XCopyUtils.copyNewList(list, GetThirdWellAvgActivePowerOutput.class));
    }
}
