package pps.core.middle.service;

import cn.hutool.core.date.DateUtil;
import pps.cloud.middle.service.IWellDailyProductionSituationCloudService;
import pps.cloud.middle.service.data.wellhead_daily_production_situation.GetWellheadDailyProductionSituationInput;
import pps.cloud.middle.service.data.wellhead_daily_production_situation.GetWellheadDailyProductionSituationOutput;
import pps.core.middle.entity.WellheadDailyProductionSituationView;
import pps.core.middle.mapper.WellheadDailyProductionSituationViewMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.base.util.XCopyUtils;
import xstartup.data.XListResult;

import java.util.List;

/**
 * 井口日累计生产数据
 *
 * @author ZWT
 * @date 2024/10/19 21:01
 */
@XService
public class WellDailyProductionSituationCloudServiceImpl implements IWellDailyProductionSituationCloudService {

    @Override
    public XListResult<GetWellheadDailyProductionSituationOutput> getWellDailyProductionSituationList(XContext context, GetWellheadDailyProductionSituationInput input) {
        WellheadDailyProductionSituationViewMapper viewMapper = context.getBean(WellheadDailyProductionSituationViewMapper.class);
        List<WellheadDailyProductionSituationView> list = viewMapper.selectWellDailyProductionSituationList(WellheadDailyProductionSituationView.builder()
                .dataDate(DateUtil.beginOfDay(DateUtil.yesterday()).toDateStr())
                .build());
        return XListResult.success(XCopyUtils.copyNewList(list, GetWellheadDailyProductionSituationOutput.class));
    }
}
